Package org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

# Class FallbackClient

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.FallbackClient

@RequestScoped public class FallbackClient extends Object
A client to demonstrate the fallback after doing the maximum retries

Author:
  Emily Jiang, John D. Ament

## Constructor Summary

Constructors
Constructor
Description
`FallbackClient()`

## Method Summary

Modifier and Type
Method
Description
`int`
`serviceB()`
Retry 5 times and then fallback

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FallbackClient

public FallbackClient()

## Method Details

### serviceB

@Retry(maxRetries=4) @Fallback(IncompatibleFallbackHandler.class) public int serviceB()
Retry 5 times and then fallback

Returns:
  a dummy number